ServletWrappingPortletContext (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.mock.web.portlet

## Class ServletWrappingPortletContext

- java.lang.Object
- - org.springframework.mock.web.portlet.ServletWrappingPortletContext

- All Implemented Interfaces:
    PortletContext

      public class ServletWrappingPortletContext
      extends Object
      implements PortletContext

  Mock implementation of the `PortletContext` interface, wrapping an underlying `ServletContext`.
  Since:
    3.0
  Author:
    Juergen Hoeller
  See Also:
    `MockPortletContext`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServletWrappingPortletContext(ServletContext servletContext)` Create a new PortletContext wrapping the given ServletContext.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getAttribute(String name)`
    `Enumeration<String>` | `getAttributeNames()`
    `Enumeration<String>` | `getContainerRuntimeOptions()`
    `String` | `getInitParameter(String name)`
    `Enumeration<String>` | `getInitParameterNames()`
    `int` | `getMajorVersion()`
    `String` | `getMimeType(String file)`
    `int` | `getMinorVersion()`
    `PortletRequestDispatcher` | `getNamedDispatcher(String name)`
    `String` | `getPortletContextName()`
    `String` | `getRealPath(String path)`
    `PortletRequestDispatcher` | `getRequestDispatcher(String path)`
    `URL` | `getResource(String path)`
    `InputStream` | `getResourceAsStream(String path)`
    `Set<String>` | `getResourcePaths(String path)`
    `String` | `getServerInfo()`
    `ServletContext` | `getServletContext()` Return the underlying ServletContext that this PortletContext wraps.
    `void` | `log(String msg)`
    `void` | `log(String message, Throwable throwable)`
    `void` | `removeAttribute(String name)`
    `void` | `setAttribute(String name, Object object)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServletWrappingPortletContext

          public ServletWrappingPortletContext(ServletContext servletContext)

      Create a new PortletContext wrapping the given ServletContext.
      Parameters:
        `servletContext` - the ServletContext to wrap

  - ### Method Detail

    - #### getServletContext

          public final ServletContext getServletContext()

      Return the underlying ServletContext that this PortletContext wraps.

    - #### getServerInfo

          public String getServerInfo()

      Specified by:
        `getServerInfo` in interface `PortletContext`

    - #### getRequestDispatcher

          public PortletRequestDispatcher getRequestDispatcher(String path)

      Specified by:
        `getRequestDispatcher` in interface `PortletContext`

    - #### getNamedDispatcher

          public PortletRequestDispatcher getNamedDispatcher(String name)

      Specified by:
        `getNamedDispatcher` in interface `PortletContext`

    - #### getResourceAsStream

          public InputStream getResourceAsStream(String path)

      Specified by:
        `getResourceAsStream` in interface `PortletContext`

    - #### getMajorVersion

          public int getMajorVersion()

      Specified by:
        `getMajorVersion` in interface `PortletContext`

    - #### getMinorVersion

          public int getMinorVersion()

      Specified by:
        `getMinorVersion` in interface `PortletContext`

    - #### getMimeType

          public String getMimeType(String file)

      Specified by:
        `getMimeType` in interface `PortletContext`

    - #### getRealPath

          public String getRealPath(String path)

      Specified by:
        `getRealPath` in interface `PortletContext`

    - #### getResourcePaths

          public Set<String> getResourcePaths(String path)

      Specified by:
        `getResourcePaths` in interface `PortletContext`

    - #### getResource

          public URL getResource(String path)
                          throws MalformedURLException

      Specified by:
        `getResource` in interface `PortletContext`
      Throws:
        `MalformedURLException`

    - #### getAttribute

          public Object getAttribute(String name)

      Specified by:
        `getAttribute` in interface `PortletContext`

    - #### getAttributeNames

          public Enumeration<String> getAttributeNames()

      Specified by:
        `getAttributeNames` in interface `PortletContext`

    - #### getInitParameter

          public String getInitParameter(String name)

      Specified by:
        `getInitParameter` in interface `PortletContext`

    - #### getInitParameterNames

          public Enumeration<String> getInitParameterNames()

      Specified by:
        `getInitParameterNames` in interface `PortletContext`

    - #### log

          public void log(String msg)

      Specified by:
        `log` in interface `PortletContext`

    - #### log

          public void log(String message,
                 Throwable throwable)

      Specified by:
        `log` in interface `PortletContext`

    - #### removeAttribute

          public void removeAttribute(String name)

      Specified by:
        `removeAttribute` in interface `PortletContext`

    - #### setAttribute

          public void setAttribute(String name,
                          Object object)

      Specified by:
        `setAttribute` in interface `PortletContext`

    - #### getPortletContextName

          public String getPortletContextName()

      Specified by:
        `getPortletContextName` in interface `PortletContext`

    - #### getContainerRuntimeOptions

          public Enumeration<String> getContainerRuntimeOptions()

      Specified by:
        `getContainerRuntimeOptions` in interface `PortletContext`